# Class FootnoteReference

#### Hierarchy (view full)

- XmlComponent
  - FootnoteReference

- Defined in file/footnotes/footnote/run/reference-run.ts:12

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

##
Constructors

### constructor

- new FootnoteReference(id): FootnoteReference

- #### Parameters

  - id: number

  #### Returns FootnoteReference

  Overrides XmlComponent.constructor

  - Defined in file/footnotes/footnote/run/reference-run.ts:13

##
Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - child: string | XmlComponent

  #### Returns XmlComponent

  #### Deprecated

  Do not use this method. It is only used internally by the library. It will be removed in a future version.

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:48

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:20